package ru.yandex.webmaster3.core.user.takeout;

import ru.yandex.webmaster3.core.util.enums.IntEnum;
import ru.yandex.webmaster3.core.util.enums.IntEnumResolver;

/**
 * @author leonidrom
 */
public enum UserTakeoutRequestType implements IntEnum {
    GET(0),
    DELETE(1),
    ;

    private final int value;


    UserTakeoutRequestType(int value) {
        this.value = value;
    }

    @Override
    public int value() {
        return value;
    }

    public static final IntEnumResolver<UserTakeoutRequestType> R = IntEnumResolver.r(UserTakeoutRequestType.class);
}
